|  | reflex.h File Reference updated Sun May 12 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros
reflex.h File Reference

RE/flex scanner generator replacement for Flex/Lex. More...

`#include <reflex/convert.h>`
`#include <reflex/error.h>`
`#include <reflex/input.h>`
`#include <reflex/pattern.h>`
`#include <reflex/utf8.h>`
`#include <cctype>`
`#include <cstdlib>`
`#include <cerrno>`
`#include <iostream>`
`#include <iomanip>`
`#include <fstream>`
`#include <map>`
`#include <set>`
`#include <stack>`
`#include <vector>`
`#include <unistd.h>`
Include dependency graph for reflex.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | Reflex
| RE/flex scanner generator class, a variation of the classic "lex" tool to generate scanners. More...
struct | Reflex::Library
| A library entry to describe regex library properties. More...
struct | Reflex::Code
| Line of code fragment in lex specifications. More...
struct | Reflex::Rule
| A regex pattern and action pair that forms a rule. More...

## Macros

#define | PLATFORM ""
#define | REFLEX_VERSION "4.3.0"

## Detailed Description

RE/flex scanner generator replacement for Flex/Lex.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2023, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt

## Macro Definition Documentation

#define PLATFORM ""

#define REFLEX_VERSION "4.3.0"